'use strict';

var convertColorSpace = require('./convert-color-space.cjs');

function convertColorByToken(color, colorToken, css) {
    const valueComponent = css.generate('color:' + colorToken)[0]?.valueComponents[0];
    let outputColorSpace = 'hex';
    switch(valueComponent?.type){
        case 'function':
            outputColorSpace = valueComponent.name;
            break;
        case 'variable':
            outputColorSpace = valueComponent.variable?.space;
            break;
        case 'string':
            outputColorSpace = 'hex';
            break;
    }
    return convertColorSpace({
        r: color.red,
        g: color.green,
        b: color.blue,
        alpha: color.alpha,
        mode: 'rgb'
    }, outputColorSpace);
}

module.exports = convertColorByToken;
